(function($){

    var $document = $(document);
    var $price_block = $('#sys_design_price');
    var $amount_block = $price_block.find('.amount');
    var $prefix_block = $price_block.find('.prefix');
    var $suffix_block = $price_block.find('.suffix');

    $document.off('pp.oneprice.updateprice');
    $document.on('pp.oneprice.updateprice',function(ev, params) {
        if (params) {
            $amount_block.html(params.design_price);
            $prefix_block.html(params.currency_details.prefix);
            $suffix_block.html(params.currency_details.suffix);
        }

    });

})(SWjQuery);